/*
 * @Author: wangcb
 * @Email: wangcb@pukkasoft.cn
 * @Date: 2022-04-02 14:26:07
 * @LastEditTime: 2022-04-02 16:48:35
 */

const { pathExists, createFile } = require('fs-extra');
const { join } = require('path');
const { yellowBright, greenBright } = require('chalk');

/** 生成文件 */
async function generate() {
  const input = process.argv.at(-1);
  const currentPath = process.cwd();
  const sourcePath = join(currentPath, 'src', 'pages');
  const outputPath = join(sourcePath, input);
  const javascript = join(outputPath, 'index.js');
  const html = join(outputPath, 'index.html');
  const existJs = await pathExists(javascript);
  const existHtml = await pathExists(html);
  if (existJs || existHtml) {
    console.log(yellowBright('Files already exists'));
  } else {
    await createFile(javascript);
    await createFile(html);
    console.log(greenBright(`WriteFile: ${javascript}`));
    console.log(greenBright(`WriteFile: ${html}`));
  }
}

module.exports = generate;