/*
 * @Author: wangcb
 * @Email: wangcbgg@163.com
 * @Date: 2021-10-29 14:01:08
 * @LastEditTime: 2022-04-02 16:33:16
 */

const { cyanBright } = require("chalk");
const { program } = require("commander");
const generate = require("../commands/generate");
const init = require("../commands/init");
const { version } = require('../package.json');

program.version(version, '-v, --version', 'output the current version');

program.usage('<command> [options]');

program.command('init')
  .description(cyanBright('initialize a epg project'))
  .alias('i')
  .action(init);

program.command('generate')
  .description(cyanBright('generate code snippets quickly'))
  .alias('g')
  .action(generate);

program.on('--help', () => {
  console.log(`\nRun ${cyanBright('epg <command> --help')} show details`);
});

program.parse(process.argv);
